Package org.apache.lucene.search.matchhighlight

## Interface PassageAdjuster

- All Known Implementing Classes:
    `BreakIteratorShrinkingAdjuster`

      public interface PassageAdjuster

  Adjusts the range of one or more passages over a given value. An example adjuster could shift passage boundary to the next or previous word delimiter or white space, for example.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OffsetRange` | `adjust​(Passage p)` |
    `void` | `currentValue​(CharSequence value)` |

- - ### Method Detail

    - #### currentValue

          void currentValue​(CharSequence value)

    - #### adjust

          OffsetRange adjust​(Passage p)